export declare const enum ErrorCode {
    MISSING_VALUE = "MISSING_VALUE",
    INVALID_VALUE = "INVALID_VALUE",
    MISSING_INTL_API = "MISSING_INTL_API"
}
export declare class FormatError extends Error {
    readonly code: ErrorCode;
    constructor(msg: string, code: ErrorCode);
    toString(): string;
}
export declare class InvalidValueError extends FormatError {
    constructor(variableId: string, value: any, options: string[]);
}
export declare class MissingValueError extends FormatError {
    constructor(variableId: string, originalMessage?: string);
}
